@rem FASTFREQ.BAT (sample bat)
@rem
@rem  Do not run this bat until you have read the instructions herein as
@rem  this bat requires commandline entries.  There are 6 entries on the
@rem  command line.
@rem
@rem  Example entry at the dos prompt:
@rem
@rem  C:\>fastfreq C: \cdbob C: \max\file\ncbhere bi*.* -1
@rem
@rem  NOTE: You will need a subdirectory "\backup" on the present drive.
@rem
@echo You are starting on Drive %1
@echo You are starting in Subdirectory %2
@echo You are looking for files on Drive %3
@echo You are looking for files on Subdirectory %4 of Drive %3
@echo You are looking for %5 named-files
@echo You are moving your DLC %6
@rem
@rem Makes an "innie" (dirx.lst) in, for example, c:\backup from files
@rem on D:\001\car*.*, for instant user access to previously offline files
@rem
@rem This BAT starts up with a command line entry of the wildcard files you
@rem want to put online, e.g., a command line would look thusly:
@rem FASTFREQ bi*.*
@rem
@rem Say a user requests some files that are not anywhere on your download
@rem drives but are on your system somewhere.  He wants them right away and
@rem you want to let him at them right away.  How to do it?  Use this
@rem batfile.  You will need to edit some of it.  Specifically, you will
@rem need to have a "Requested Files" area already set up on CDMX2DOR (see
@rem my REQBOB.LST as an example).  Be sure that your CDSONLIN.LST is
@rem edited to include its being able to access your REQBOB.LST (or whatever
@rem you call it.  As you will notice, my REQBOB.LST points to c:\backup
@rem subdirectory so the dirx.lst there must contain a list of the files
@rem that the user is requesting and these files must be in c:\backup for
@rem him to download.  The files he wants are on Drive\Sub D:\001 and the
@rem files begin with CAR.  My home directory where I am starting this
@rem bat file is C:\cdbob.
@rem
@rem make appropriate changes to c:\backup     (your Req'File subdirectory)
@rem make appropriate changes to D:\001\       (the file area user wants)
@rem make appropriate changes to c:\cdbob      (your startup subdirectory)
@rem
@rem REMEMBER to startup with a command line entry of the wildcard file
@rem selections you want to have moved to your c:\backup subdirectory!!
@rem
@rem You will need to adjust your dlc# as necessary to make it look
@rem right (if there is an associated files.bbs on the D:\001 drive).
@rem Different files.bbs's exist; some have dates/size, some not.  If they
@rem do have date/size already in them then a dlc# around -14 ought to get
@rem it right in the dirx.lst; if they don't have date/size, then a 1 will
@rem get it about right.  If you have download counters in those files.bbs's
@rem and no date/size info, then you'll need to have the width of your
@rem dl counters from bracket-to-bracket, e.g., dlc#=6 for a [0000] dlc.
@rem Experiment and see what happens.  You will have to figure this out on
@rem your own.
@rem
@rem Your D:\001\ wildcard selection could be a *.zip or a h*.arj or whatever.
@rem
@rem
@rem Bat Start:
@rem -----------------------------------------------------------------------
@rem
@rem see if there are old files in c:\backup and if so delete them
@echo Changing to Drive %1
@%1
@echo Changing to Subdirectory \backup
@cd \backup
@rem
@rem CAUTION!!!  This next line deletes ALL files in c:\backup!  Have nothing
@rem in C:\backup that you want to keep.  Only copies of files should end up
@rem in C:\backup!!!
@rem
@echo Deleting any files found in \backup
@for %%f in (*.*) do del %%f
@rem
@rem switch back to our home directory
@echo Changing to Subdirectory %2
@cd %2
@rem
@rem
@rem copy some files from, e.g., drive D:\001 to drive C:\backup
@echo Copying requested files from %3\%4\%5 to %1\backup\
@instfreq /%3%4\%5 /%1\backup\
@rem
@echo Changing to Drive %3
@rem switch to drive D:, C: or whatever
@%3
@rem
@echo Changing to Subdirectory %4
@rem switch to, e.g., subdirectory 001
@cd %4
@rem
@rem if there's a files.bbs there then copy it to c:\backup
@if exist files.bbs copy files.bbs c:\backup
@rem
@echo Changing to Drive %1
@rem switch to drive C:
@%1
@rem
@rem wait for a key press
@pause
@echo Changing to Subdirectory %2
@rem switch back to home subdirectory
%1
@cd %2
@rem
@rem start up flydirx on c:\backup as an outtie with a dlc of -1
@rem    Remember....  you will have to experiment with the dlc to get it to
@rem    line up correctly
@echo Initiating FlyDirx on files in %1\backup
@flydirx %1\backup OUT %6
@rem
@echo Looking for and, if found, killing off a files.bbs in %1\backup
@rem kill the files.bbs on C:\backup if there is one
@if exist %1\backup\files.bbs del %1\backup\files.bbs
@rem
@echo Looking for and, if found, copying your backup.lst to %1\backup
@rem copy the backup.lst that is in the present subdirectory back to c:\backup
@if exist backup.lst copy backup.lst %1\backup
@rem
@echo Looking for and, if found, killing off your backup.lst in %1%2
@rem delete the backup.lst (which is an outtie) from the present subdirectory
@if exist backup.lst del backup.lst
@rem
@echo Changing to %1\backup
@rem switch to %1\backup
@cd \backup
@rem
@rem rename backup.lst (which is an outtie) to dirx.lst (which is an innie)
@echo Renaming your backup.lst to dirx.lst
@ren backup.lst dirx.lst
@rem
@rem switch back to the present subdirectory and end
@echo Switching back to %1%2
@cd %2
@echo All done!  Your %5 files are online!  Thanks.
